Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041257
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminorhave not tried2019-07-03 16:562019-08-29 13:37
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisiond83c14dd9a31
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041257: InitialSetupUtility.{getCOAModules,getRDModules} are not using bind-parameters

DescriptionBoth method are not using bind-params for their strModules values.

Minor as caller filters via IsIDFilter.

When fixing please apply new HQL-style to all HQL in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041453 closedcollazoandy4 Apply HQL style guide to InitialSetupUtility 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113680)
collazoandy4 (developer)
2019-07-26 15:37

Test Plan
  Go to Initial organization setup and create a new Legal with accounting Organization, set an accounting file and select all Reference data and clic on Ok button.
  Check the process ends without error and a new organization is created.
(0114313)
hgbot (developer)
2019-08-29 08:42

Repository: erp/devel/pi
Changeset: d83c14dd9a313b961c6876fb3dea6237a3ee0b64
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 25 16:43:43 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/d83c14dd9a313b961c6876fb3dea6237a3ee0b64 [^]

Fixes issue 41257:InitialSetupUtility.{getCOAModules,getRDModules} are not using
bind-parameters

Added missing bind-parameters

---
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0114314)
Sandrahuguet (developer)
2019-08-29 08:42

code review + testing ok
(0114329)
hudsonbot (developer)
2019-08-29 13:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/305eae82d1bd [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-03 16:56 shuehner New Issue
2019-07-03 16:56 shuehner Assigned To => Triage Finance
2019-07-03 16:56 shuehner Modules => Core
2019-07-03 16:56 shuehner Triggers an Emergency Pack => No
2019-07-03 16:57 shuehner Relationship added blocks 0038136
2019-07-04 12:16 shuehner Target Version => 3.0PR19Q4
2019-07-24 19:45 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-26 15:37 collazoandy4 Note Added: 0113680
2019-07-26 15:38 collazoandy4 Status new => scheduled
2019-08-28 14:33 Sandrahuguet Relationship added related to 0041453
2019-08-29 08:42 hgbot Checkin
2019-08-29 08:42 hgbot Note Added: 0114313
2019-08-29 08:42 hgbot Status scheduled => resolved
2019-08-29 08:42 hgbot Resolution open => fixed
2019-08-29 08:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d83c14dd9a313b961c6876fb3dea6237a3ee0b64 [^]
2019-08-29 08:42 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-29 08:42 Sandrahuguet Note Added: 0114314
2019-08-29 08:42 Sandrahuguet Status resolved => closed
2019-08-29 08:42 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-29 13:37 hudsonbot Checkin
2019-08-29 13:37 hudsonbot Note Added: 0114329


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker